package com.logicbig.example;

import org.assertj.core.api.Assertions;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(args = "--processor.name=TestProcess")
public class MyProcessorTest {
    @Autowired
    private MyProcessor processor;

    @Test
    public void testProcess() {
        String processResult = processor.process();
        System.out.println("process returned value: " + processResult);
        Assertions.assertThat(processResult).isEqualTo("Successfully executed process with name TestProcess");
    }
}