package com.logicbig.example;

import org.assertj.core.api.Assertions;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import java.util.List;
import java.util.Set;

@RunWith(SpringRunner.class)
@SpringBootTest(args = "--processor.name=TestProcess")
public class ArgumentTest2 {
    @Autowired
    ApplicationArguments args;

    @Test
    public void testArgs(){
        Set<String> optionNames = args.getOptionNames();
        System.out.println("optionsNames: "+optionNames);
        Assertions.assertThat(optionNames).containsOnly("processor.name");
        List<String> optionValues = args.getOptionValues("processor.name");
        System.out.println("optionsValues for processor.name: "+optionValues);
        Assertions.assertThat(optionValues).containsOnly("TestProcess");

    }
}